Index: npl/internetserver/php/fetch-php.sh
===================================================================
--- npl/internetserver/php/fetch-php.sh	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/fetch-php.sh	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,2 @@
+lftpget http://us.php.net/distributions/php-7.4.29.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.4.29.tar.xz
Index: npl/internetserver/php/mod_php.conf.example
===================================================================
--- npl/internetserver/php/mod_php.conf.example	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/mod_php.conf.example	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,29 @@
+#
+# mod_php - PHP Hypertext Preprocessor module
+#
+
+# Load the PHP module:
+LoadModule php7_module lib/httpd/modules/libphp7.so
+
+# Tell Apache to feed all *.php files through PHP.  If you'd like to
+# parse PHP embedded in files with different extensions, comment out
+# these lines and see the example below.
+<FilesMatch \.php$>
+    SetHandler application/x-httpd-php
+</FilesMatch>
+
+# Tell Apache to feed all *.php, *.html, and *.htm files through
+# the PHP module.  Add or subtract extensions here as desired.  Please
+# note that running pages through PHP for no reason can be both slow
+# and insecure, so be sure to know what you're doing.  It's a convenient
+# shortcut, but probably isn't suitible for high-traffic sites if you
+# write any of your pages in straight HTML.
+#<FilesMatch "\.(php|html|htm)$">
+#    SetHandler application/x-httpd-php
+#</FilesMatch>
+
+# This will display PHP files in colored syntax form.  Use with caution.
+#<FilesMatch "\.phps$">
+#    SetHandler application/x-httpd-php-source
+#</FilesMatch>
+
Index: npl/internetserver/php/p
===================================================================
--- npl/internetserver/php/p	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/p	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,346 @@
+#!/bin/bash
+
+# Build and package mod_php on Slackware.
+# by:  David Cantrell <david@slackware.com>
+# Modified for PHP 4-5 by volkerdi@slackware.com
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021  Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=php
+VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+ALPINE=2.25
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-php/
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+# Look for Kerberos on the machine and in any precompiled c-client.a:
+if /bin/ls /lib${LIBDIRSUFFIX}/libkrb5.so.? 1> /dev/null 2> /dev/null ; then
+  # Remove the c-client library if it doesn't contain Kerberos support:
+  if ! grep -q krb5_ /usr/local/lib${LIBDIRSUFFIX}/c-client/lib${LIBDIRSUFFIX}/c-client.a 2> /dev/null ; then
+    rm -rf /usr/local/lib${LIBDIRSUFFIX}/c-client
+  fi
+else
+  # Remove the c-client library if it contains Kerberos support:
+  if grep -q krb5_ /usr/local/lib${LIBDIRSUFFIX}/c-client/lib${LIBDIRSUFFIX}/c-client.a 2> /dev/null ; then
+    rm -rf /usr/local/lib${LIBDIRSUFFIX}/c-client
+  fi
+fi
+
+# we need to compile alpine to get c-client.a for IMAP support:
+IMAPLIBDIR=/usr/local/lib${LIBDIRSUFFIX}/c-client
+if [ -r $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a ]; then
+  echo "Using IMAP library:"
+  ls -l $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a
+  sleep 5
+else
+  ( cd $CWD/../alpine ; VERSION=${ALPINE} ; ./alpine.SlackBuild || exit 1 ) || exit 1
+  ( cd $TMP/alpine-${ALPINE}/imap/c-client
+    strip -g c-client.a
+    mkdir -p $IMAPLIBDIR/lib${LIBDIRSUFFIX}
+    cp c-client.a $IMAPLIBDIR/lib${LIBDIRSUFFIX}
+    mkdir -p $IMAPLIBDIR/include
+    cp *.h $IMAPLIBDIR/include
+  )
+fi
+
+# Set Kerberos build option:
+if /bin/ls /lib${LIBDIRSUFFIX}/libkrb5.so.? 1> /dev/null 2> /dev/null ; then
+  KRB5_OPTION="--with-kerberos"
+else
+  unset KRB5_OPTION
+fi
+
+mkdir -p $PKG/etc/httpd
+mkdir -p $PKG/etc/php.d
+# A trick from DaMouse to enable building php into $PKG.
+# We'll remove this later on.
+cat /etc/httpd/original/httpd.conf > $PKG/etc/httpd/httpd.conf
+if [ ! -e /etc/httpd/original/httpd.conf ]; then
+  echo "FATAL:  no /etc/httpd/original/httpd.conf found."
+  exit 1
+fi
+
+cd $TMP
+rm -rf php-$VERSION
+tar xvf $CWD/php-$VERSION.tar.xz || exit 1
+cd php-$VERSION || exit 1
+
+# cleanup:
+find . -name "*.orig" -delete
+
+if [ "$ARCH" = "s390" ]; then
+  zcat $CWD/php.configure.s390.diff.gz | patch -p1 || exit
+fi
+
+# Fixup perms/owners:
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+find . -name "*.h" -exec chmod 644 {} \+
+
+# Sometimes they ship a few of these:
+find . -name "*.orig" -exec rm {} \+
+
+# Patch ini files:
+zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose php.ini-production || exit 1
+zcat $CWD/php-fpm.conf.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix for imap API change:
+zcat $CWD/php.imap.api.diff.gz | patch -p1 --verbose || exit 1
+
+# Use enchant-2:
+zcat $CWD/php.enchant-2.patch.gz | patch -p1 --verbose || exit 1
+export ENCHANT_CFLAGS="-I/usr/include/enchant-2"
+export ENCHANT_LIBS="-lenchant-2"
+
+# Install the build folder into /usr/lib$LIBDIRSUFFIX/php/build
+# and adapt phpize accordingly:
+sed -i "s|build$|php/build|" scripts/Makefile.frag
+sed -i "s|build\"$|php/build\"|" scripts/phpize.in
+
+# NOTE: Added -DU_USING_ICU_NAMESPACE=1 to CXXFLAGS, which should be a temporary
+# requirement. See the link below:
+# http://site.icu-project.org/download/61#TOC-Migration-Issues
+
+# -DU_DEFINE_FALSE_AND_TRUE=1 since recent icu4c no longer defines these otherwise.
+
+# Generic "kitchen sink" configure function, with as many things as possible (and
+# maybe then some ;-) compiled as shared extensions:
+EXTENSION_DIR=/usr/lib${LIBDIRSUFFIX}/php/extensions \
+CFLAGS="$SLKCFLAGS -DU_DEFINE_FALSE_AND_TRUE=1" \
+CXXFLAGS="$SLKCFLAGS -DU_USING_ICU_NAMESPACE=1 -DU_DEFINE_FALSE_AND_TRUE=1" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --with-libdir=lib${LIBDIRSUFFIX} \
+  --localstatedir=/var \
+  --sysconfdir=/etc \
+  --datarootdir=/usr/share \
+  --datadir=/usr/share \
+  --infodir=/usr/info \
+  --mandir=/usr/man \
+  --with-apxs2=/usr/bin/apxs \
+  --enable-fpm \
+  --with-fpm-user=apache \
+  --with-fpm-group=apache \
+  --enable-maintainer-zts \
+  --enable-pcntl \
+  --enable-mbregex \
+  --enable-tokenizer=shared \
+  --with-config-file-scan-dir=/etc/php.d \
+  --with-config-file-path=/etc \
+  --with-layout=PHP \
+  --disable-sigchild \
+  --with-libxml \
+  --with-xmlrpc=shared \
+  --with-expat \
+  --enable-simplexml \
+  --enable-xmlreader=shared \
+  --enable-dom=shared \
+  --enable-filter \
+  --disable-debug \
+  --with-openssl=shared \
+  $KRB5_OPTION \
+  --with-external-pcre \
+  --with-zlib=shared,/usr \
+  --enable-bcmath=shared \
+  --with-bz2=shared,/usr \
+  --enable-calendar=shared \
+  --enable-ctype=shared \
+  --with-curl=shared \
+  --enable-dba=shared \
+  --with-gdbm=/usr \
+  --with-db4=/usr \
+  --enable-exif=shared \
+  --enable-ftp=shared \
+  --enable-gd=shared \
+  --with-external-gd \
+  --with-jpeg \
+  --with-xpm \
+  --with-gettext=shared,/usr \
+  --with-gmp=shared,/usr \
+  --with-iconv=shared \
+  --with-imap-ssl=/usr \
+  --with-imap=$IMAPLIBDIR \
+  --with-ldap=shared \
+  --enable-mbstring=shared \
+  --enable-mysqlnd=shared \
+  --with-mysqli=shared,mysqlnd \
+  --with-mysql-sock=/var/run/mysql/mysql.sock \
+  --with-iodbc=shared,/usr \
+  --enable-pdo=shared \
+  --with-pdo-mysql=shared,mysqlnd \
+  --with-pdo-sqlite=shared,/usr \
+  --with-pdo-odbc=shared,iODBC,/usr \
+  --with-pspell=shared,/usr \
+  --with-enchant=shared,/usr \
+  --enable-shmop=shared \
+  --with-snmp=shared,/usr \
+  --enable-soap=shared \
+  --enable-sockets \
+  --with-sqlite3=shared \
+  --enable-sysvmsg \
+  --enable-sysvsem \
+  --enable-sysvshm \
+  --with-xsl=shared,/usr \
+  --with-zip=shared \
+  --with-tsrm-pthreads \
+  --enable-intl=shared \
+  --enable-opcache \
+  --enable-shared=yes \
+  --enable-static=no \
+  --with-gnu-ld \
+  --with-pic \
+  --enable-phpdbg \
+  --with-sodium \
+  --with-password-argon2 \
+  --without-readline \
+  --with-libedit \
+  --with-pear \
+  --with-tidy=shared \
+  --build=$ARCH-slackware-linux || exit 1
+
+# I am told this option is worse than nothing.  :-)
+#  --enable-safe-mode
+#
+# I would recommend *against* and will take no responbility for turning on
+# "safe" mode.
+
+make $NUMJOBS || make || exit 1
+make install INSTALL_ROOT=$PKG || exit 1
+
+# Don't include the c-client library in php-config output:
+sed -i "s| -L/usr/local/lib${LIBDIRSUFFIX}/c-client/lib${LIBDIRSUFFIX}||g" $PKG/usr/bin/php-config
+sed -i "s|  -lc-client||g" $PKG/usr/bin/php-config
+
+mkdir -p $PKG/etc/{rc.d,php-fpm.d}
+cp sapi/fpm/init.d.php-fpm $PKG/etc/rc.d/rc.php-fpm.new
+chmod 644 $PKG/etc/rc.d/rc.php-fpm.new
+
+# PHP (used to) install Pear with some strange permissions.
+chmod 755 $PKG/usr/bin/pear
+
+# PHP sometimes puts junk in the root directory:
+( cd $PKG
+  rm -rf .channels .depdb .depdblock .filemap .lock .registry
+)
+
+# We do not package static extension libraries:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/php/extensions/*.a
+
+# Fix $PKG/usr/lib/php perms:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/php
+  find . \
+   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+   -exec chmod 755 {} \+ -o \
+   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+   -exec chmod 644 {} \+
+)
+
+mkdir -p $PKG/usr/doc/php-$VERSION
+cp -a \
+  CODING_STANDARDS* CONTRIBUTING* EXTENSIONS* LICENSE* NEWS* README* UPGRADING* \
+  $PKG/usr/doc/php-$VERSION
+
+mkdir -p $PKG/etc/httpd
+cat $CWD/mod_php.conf.example | sed -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" > $PKG/etc/httpd/mod_php.conf.new
+chmod 644 $PKG/etc/httpd/*
+chown root:root $PKG/etc/httpd/*
+
+cp -a php.ini-development php.ini-production $PKG/etc
+chmod 755 $PKG/etc/php.d $PKG/etc/php-fpm.d $PKG/etc/httpd
+chown root:root $PKG/etc/*
+
+# This can go now.
+rm -f $PKG/etc/httpd/httpd*
+
+# Session directory for PHP:
+mkdir -p $PKG/var/lib/php
+chmod 770 $PKG/var/lib/php
+chown root:apache $PKG/var/lib/php
+
+# Strip ELF objects.
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+#if [ -d "$IMAPLIBDIR" ]; then
+#  ( cd $IMAPLIBDIR && rm -rf * )
+#  rmdir $IMAPLIBDIR
+#fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/php-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/internetserver/php/php-7.4.29.tar.xz.asc
===================================================================
--- npl/internetserver/php/php-7.4.29.tar.xz.asc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php-7.4.29.tar.xz.asc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,16 @@
+-----BEGIN PGP SIGNATURE-----
+
+iQIzBAABCgAdFiEEWlKIB4H3VWCL+BX8kQ3rRvU+oxIFAmJVWxQACgkQkQ3rRvU+
+oxLgHBAA1QnH/yQHnnItdZRrqqAt2UrCaHAehswQOSIZ0xFoY3uhzMikBHg+K3Ut
+1L5JnPuL8omLKAkKHSpcu34o/NtGjTM/FnxCkttCbwi4JXvUMyaeBpIn98KC3mgI
+pJ+eZQ5i2Rorx3lfJJ7gbgzCuShLrfS3vhcln09n9NdUimcEb9r7Na8OR8q1aJs/
+uXDqliDBlb628C0fVhe1qQASrBK75T9h4/mPZlo/TKHIydk1Y3fp1cgmr59OkfOk
+KxU5fR9jPm8qQasLkyUQBTLIppQI+gb3+QDm/sGdPGBdVGGGBK4duLo+rHM8q4va
+JwD3BgNxrtRN3ltzgHCNrJccZCjBOWNoD6MX0vVmkXB0rRC+1xAzqlkB7m9wX6mr
+EzJQgvLb80XCmlhZsVtLwBbvnviG/8TCQxVCA5C8+43UvjEbZChYpHzPRMBcAons
+lcRhMq3O8XGlL56sTcdnR0luHNalwzVem4yhdY7LPLRYbD16DgazxWdTX7pLvT1/
+Z8YWksjF0ums6O4/SkgeGhb6o5mXwElQkHrl8EJFoIP7YMp83bJ82G5C0BR88GX+
+2eGJvXvZ+gV0NdfLIloMuk2z+OWIkfCfCnEqdG7NNiT+PcyN9rdCbLQI8p6ZeaOj
+UvfAQXWOuEuyDBTlBHXULlJpATI0PC3ztmdwD83yQ4+wYx7InuE=
+=UwtL
+-----END PGP SIGNATURE-----
Index: npl/internetserver/php/php.SlackBuild
===================================================================
--- npl/internetserver/php/php.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,57 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/php/
+# Created at Wed 01 Jun 2022 01:40:06 PM CEST
+
+#DEP:curl
+
+#DEP:openldap
+#DEP:postgresql
+#DEP:mysql56
+#DEP:openssl
+#DEP:libmm
+#DEP:libxml2
+#DEP:libjpeg
+#DEP:libpng
+#DEP:gmp
+#DEP:zlib
+#DEP:bzip2
+#DEP:Linux_PAM
+
+#NEED:apache_conf
+#DEP:apache2
+#DEP:apr
+#DEP:apr_util
+#DEP:apache_conf
+
+#DEP:cyrus_sasl
+#DEP:pcre2
+#DEP:sqlite
+#DEP:gd
+#DEP:icu4c
+#DEP:oniguruma
+#DEP:aspell
+#DEP:libsodium
+#DEP:expat
+#DEP:libxslt
+#DEP:freetype2
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./php.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/php/php.SlackBuild.orig
===================================================================
--- npl/internetserver/php/php.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,329 @@
+#!/bin/bash
+
+# Build and package mod_php on Slackware.
+# by:  David Cantrell <david@slackware.com>
+# Modified for PHP 4-5 by volkerdi@slackware.com
+# Copyright 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015, 2017, 2019, 2020, 2021  Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=php
+VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+ALPINE=2.25
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-php/
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+# Look for Kerberos on the machine and in any precompiled c-client.a:
+if /bin/ls /lib${LIBDIRSUFFIX}/libkrb5.so.? 1> /dev/null 2> /dev/null ; then
+  # Remove the c-client library if it doesn't contain Kerberos support:
+  if ! grep -q krb5_ /usr/local/lib${LIBDIRSUFFIX}/c-client/lib${LIBDIRSUFFIX}/c-client.a 2> /dev/null ; then
+    rm -rf /usr/local/lib${LIBDIRSUFFIX}/c-client
+  fi
+else
+  # Remove the c-client library if it contains Kerberos support:
+  if grep -q krb5_ /usr/local/lib${LIBDIRSUFFIX}/c-client/lib${LIBDIRSUFFIX}/c-client.a 2> /dev/null ; then
+    rm -rf /usr/local/lib${LIBDIRSUFFIX}/c-client
+  fi
+fi
+
+# we need to compile alpine to get c-client.a for IMAP support:
+# IMAPLIBDIR=/usr/local/lib${LIBDIRSUFFIX}/c-client
+# if [ -r $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a ]; then
+#   echo "Using IMAP library:"
+#   ls -l $IMAPLIBDIR/lib${LIBDIRSUFFIX}/c-client.a
+#   sleep 5
+# else
+#   ( cd $CWD/../alpine ; VERSION=${ALPINE} ; ./alpine.SlackBuild || exit 1 ) || exit 1
+#   ( cd $TMP/alpine-${ALPINE}/imap/c-client
+#     strip -g c-client.a
+#     mkdir -p $IMAPLIBDIR/lib${LIBDIRSUFFIX}
+#     cp c-client.a $IMAPLIBDIR/lib${LIBDIRSUFFIX}
+#     mkdir -p $IMAPLIBDIR/include
+#     cp *.h $IMAPLIBDIR/include
+#   )
+# fi
+
+# Set Kerberos build option:
+if /bin/ls /lib${LIBDIRSUFFIX}/libkrb5.so.? 1> /dev/null 2> /dev/null ; then
+  KRB5_OPTION="--with-kerberos"
+else
+  unset KRB5_OPTION
+fi
+
+mkdir -p $PKG/etc/apache2
+mkdir -p $PKG/etc/php.d
+# A trick from DaMouse to enable building php into $PKG.
+# We'll remove this later on.
+cat /etc/apache2/httpd.conf > $PKG/etc/apache2/httpd.conf
+
+cd $TMP
+rm -rf php-$VERSION
+tar xvf $CWD/php-$VERSION.tar.xz || exit 1
+cd php-$VERSION || exit 1
+
+# cleanup:
+find . -name "*.orig" -delete
+
+if [ "$ARCH" = "s390" ]; then
+  zcat $CWD/php.configure.s390.diff.gz | patch -p1 || exit
+fi
+
+# Fixup perms/owners:
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+find . -name "*.h" -exec chmod 644 {} \+
+
+# Sometimes they ship a few of these:
+find . -name "*.orig" -exec rm {} \+
+
+# Patch ini files:
+zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/php.ini-development.diff.gz | patch -p1 --verbose php.ini-production || exit 1
+zcat $CWD/php-fpm.conf.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix for imap API change:
+# zcat $CWD/php.imap.api.diff.gz | patch -p1 --verbose || exit 1
+
+# Use enchant-2:
+zcat $CWD/php.enchant-2.patch.gz | patch -p1 --verbose || exit 1
+export ENCHANT_CFLAGS="-I/usr/include/enchant-2"
+export ENCHANT_LIBS="-lenchant-2"
+
+# Install the build folder into /usr/lib$LIBDIRSUFFIX/php/build
+# and adapt phpize accordingly:
+sed -i "s|build$|php/build|" scripts/Makefile.frag
+sed -i "s|build\"$|php/build\"|" scripts/phpize.in
+
+# NOTE: Added -DU_USING_ICU_NAMESPACE=1 to CXXFLAGS, which should be a temporary
+# requirement. See the link below:
+# http://site.icu-project.org/download/61#TOC-Migration-Issues
+
+# -DU_DEFINE_FALSE_AND_TRUE=1 since recent icu4c no longer defines these otherwise.
+
+# Generic "kitchen sink" configure function, with as many things as possible (and
+# maybe then some ;-) compiled as shared extensions:
+EXTENSION_DIR=/usr/lib${LIBDIRSUFFIX}/php/extensions \
+CFLAGS="$SLKCFLAGS -DU_DEFINE_FALSE_AND_TRUE=1" \
+CXXFLAGS="$SLKCFLAGS -DU_USING_ICU_NAMESPACE=1 -DU_DEFINE_FALSE_AND_TRUE=1" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --with-libdir=lib${LIBDIRSUFFIX} \
+  --localstatedir=/var \
+  --sysconfdir=/etc \
+  --datarootdir=/usr/share \
+  --datadir=/usr/share \
+  --infodir=/usr/info \
+  --mandir=/usr/man \
+  --with-apxs2=/usr/bin/apxs \
+  --enable-fpm \
+  --with-fpm-user=apache \
+  --with-fpm-group=apache \
+  --enable-maintainer-zts \
+  --enable-pcntl \
+  --enable-mbregex \
+  --enable-tokenizer=shared \
+  --with-config-file-scan-dir=/etc/php.d \
+  --with-config-file-path=/etc \
+  --with-layout=PHP \
+  --disable-sigchild \
+  --with-libxml \
+  --with-xmlrpc=shared \
+  --with-expat \
+  --enable-simplexml \
+  --enable-xmlreader=shared \
+  --enable-dom=shared \
+  --enable-filter \
+  --disable-debug \
+  --with-openssl=shared \
+  $KRB5_OPTION \
+  --with-external-pcre \
+  --with-zlib=shared,/usr \
+  --enable-bcmath=shared \
+  --with-bz2=shared,/usr \
+  --enable-calendar=shared \
+  --enable-ctype=shared \
+  --with-curl=shared \
+  --enable-exif=shared \
+  --enable-ftp=shared \
+  --enable-gd=shared \
+  --with-external-gd \
+  --with-jpeg \
+  --with-xpm \
+  --with-gettext=shared,/usr \
+  --with-gmp=shared,/usr \
+  --with-iconv=shared \
+  --with-ldap=shared \
+  --enable-mbstring=shared \
+  --enable-mysqlnd=shared \
+  --with-mysqli=shared,mysqlnd \
+  --with-mysql-sock=/var/run/mysql/mysql.sock \
+  --enable-pdo=shared \
+  --with-pdo-mysql=shared,mysqlnd \
+  --with-pdo-sqlite=shared,/usr \
+  --with-pspell=shared,/usr \
+  --enable-shmop=shared \
+  --enable-soap=shared \
+  --enable-sockets \
+  --with-sqlite3=shared \
+  --enable-sysvmsg \
+  --enable-sysvsem \
+  --enable-sysvshm \
+  --with-xsl=shared,/usr \
+  --with-tsrm-pthreads \
+  --enable-intl=shared \
+  --enable-opcache \
+  --enable-shared=yes \
+  --enable-static=no \
+  --with-gnu-ld \
+  --with-pic \
+  --enable-phpdbg \
+  --with-sodium \
+  --without-readline \
+  --with-pear \
+  --build=$ARCH-slackware-linux || exit 1
+
+# I am told this option is worse than nothing.  :-)
+#  --enable-safe-mode
+#
+# I would recommend *against* and will take no responbility for turning on
+# "safe" mode.
+
+make $NUMJOBS || make || exit 1
+make install INSTALL_ROOT=$PKG || exit 1
+
+# Don't include the c-client library in php-config output:
+sed -i "s| -L/usr/local/lib${LIBDIRSUFFIX}/c-client/lib${LIBDIRSUFFIX}||g" $PKG/usr/bin/php-config
+sed -i "s|  -lc-client||g" $PKG/usr/bin/php-config
+
+mkdir -p $PKG/etc/{rc.d,php-fpm.d}
+cp sapi/fpm/init.d.php-fpm $PKG/etc/rc.d/rc.php-fpm.new
+chmod 644 $PKG/etc/rc.d/rc.php-fpm.new
+
+# PHP (used to) install Pear with some strange permissions.
+chmod 755 $PKG/usr/bin/pear
+
+# PHP sometimes puts junk in the root directory:
+( cd $PKG
+  rm -rf .channels .depdb .depdblock .filemap .lock .registry
+)
+
+# We do not package static extension libraries:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/php/extensions/*.a
+
+# Fix $PKG/usr/lib/php perms:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/php
+  find . \
+   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+   -exec chmod 755 {} \+ -o \
+   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+   -exec chmod 644 {} \+
+)
+
+mkdir -p $PKG/usr/doc/php-$VERSION
+cp -a \
+  CODING_STANDARDS* CONTRIBUTING* EXTENSIONS* LICENSE* NEWS* README* UPGRADING* \
+  $PKG/usr/doc/php-$VERSION
+
+mkdir -p $PKG/etc/httpd
+cat $CWD/mod_php.conf.example | sed -e "s#lib/httpd#lib${LIBDIRSUFFIX}/httpd#" > $PKG/etc/httpd/mod_php.conf.new
+chmod 644 $PKG/etc/httpd/*
+chown root:root $PKG/etc/httpd/*
+
+cp -a php.ini-development php.ini-production $PKG/etc
+chmod 755 $PKG/etc/php.d $PKG/etc/php-fpm.d $PKG/etc/httpd
+chown root:root $PKG/etc/*
+
+# This can go now.
+rm -f $PKG/etc/httpd/httpd*
+
+# Session directory for PHP:
+mkdir -p $PKG/var/lib/php
+chmod 770 $PKG/var/lib/php
+# chown root:apache $PKG/var/lib/php
+
+# Strip ELF objects.
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+#if [ -d "$IMAPLIBDIR" ]; then
+#  ( cd $IMAPLIBDIR && rm -rf * )
+#  rmdir $IMAPLIBDIR
+#fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/php-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/internetserver/php/php.arch
===================================================================
--- npl/internetserver/php/php.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/php/php.build
===================================================================
--- npl/internetserver/php/php.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/php/php.depver
===================================================================
--- npl/internetserver/php/php.depver	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.depver	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,28 @@
+curl	0
+openldap	1
+postgresql	0
+mysql56	1
+openssl	5
+libmm	0
+libxml2	1
+libjpeg	1
+libpng	1
+gmp	0
+zlib	0
+bzip2	1
+Linux_PAM	1
+apache2	0204
+apr	0
+apr_util	0
+apache_conf	0
+cyrus_sasl	0
+pcre2	0
+sqlite	2
+gd	1
+icu4c	1
+oniguruma	0
+aspell	0
+libsodium	0
+expat	020100
+libxslt	0
+freetype2	1
Index: npl/internetserver/php/php.md5
===================================================================
--- npl/internetserver/php/php.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,16 @@
+e8c62ab931494ebb0754afc3285c3542  ./doinst.sh.gz
+cc25e3fe87786ff9692e4b41dd69ecea  ./fetch-php.sh
+0fc4f633a23790f8c981e706df0a73fd  ./mod_php.conf.example
+9a4b38b20fe6b1ab0ee0a43be22f9adc  ./p
+a53d4fc6b11661365479c82a80044456  ./php-7.4.29.tar.xz
+1e68d35897f7561a84255b1aae94538e  ./php-7.4.29.tar.xz.asc
+f94c3ea69d3cbf5642ca6f31e6ea9858  ./php_dev.pkg
+194c261862e217b7d6d5f738e57d656a  ./php.enchant-2.patch.gz
+285bfe8ddcfdf8887a2d10c1a3063803  ./php-fpm.conf.diff.gz
+e6d9a4a67a549f8b1daa3cc6407c36f0  ./php.imap.api.diff.gz
+4371b24bde546b1c8fc00add3a2d9c7f  ./php.ini-development.diff.gz
+6c674cc8b004f2c240d9aaf87861eb5a  ./php.pkg
+66a45ab1466bca8b85d43429e78919b1  ./php.SlackBuild
+5033c47bf716d63fe67fb76af6a79d6a  ./php.SlackBuild.log.gz
+11efd9a7e682a1081f19a87509740ed2  ./php.SlackBuild.orig
+17508897fb8ff3e303692c4e3bfc72f0  ./slack-desc
Index: npl/internetserver/php/php.version
===================================================================
--- npl/internetserver/php/php.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+7.4.29
Index: npl/internetserver/php/php_dev.arch
===================================================================
--- npl/internetserver/php/php_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/internetserver/php/php_dev.build
===================================================================
--- npl/internetserver/php/php_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/php/php_dev.version
===================================================================
--- npl/internetserver/php/php_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/php_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+7.4.29
Index: npl/internetserver/php/slack-desc
===================================================================
--- npl/internetserver/php/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/internetserver/php/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+php: php (HTML-embedded scripting language)
+php:
+php: PHP is an HTML-embedded scripting language. It shares syntax
+php: characteristics with C, Java, and Perl. The primary objective behind
+php: this language is to make a fast and easy-to-use scripting language
+php: for dynamic web sites.
+php:
+php: Homepage: https://www.php.net/
+php:
+php:
+php:
Index: npl/overig/aspell/aspell.SlackBuild
===================================================================
--- npl/overig/aspell/aspell.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/aspell/
+# Created at Wed 01 Jun 2022 03:10:28 PM CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./aspell.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/aspell/aspell.SlackBuild.orig
===================================================================
--- npl/overig/aspell/aspell.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,121 @@
+#!/bin/bash
+
+# Copyright 2008, 2009, 2010, 2018, 2019  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=aspell
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-aspell
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+cd $TMP
+rm -rf aspell-$VERSION
+tar xvf $CWD/aspell-$VERSION.tar.?z || exit 1
+cd aspell-$VERSION
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -fpermissive" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --enable-pkgdatadir=/usr/lib${LIBDIRSUFFIX}/aspell \
+  --enable-data-dir=/usr/lib${LIBDIRSUFFIX}/aspell \
+  --enable-pkglibdir=/usr/lib${LIBDIRSUFFIX}/aspell \
+  --enable-dict-dir=/usr/lib${LIBDIRSUFFIX}/aspell \
+  --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+( cd $PKG
+  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
+)
+
+## This looks like crap clutter to me
+## ... turns out to be required.  How ugly...
+#rm -f $PKG/usr/bin/pre*
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+gzip -9 $PKG/usr/man/man?/*.?
+mkdir -p $PKG/usr/doc/aspell-$VERSION
+cp -a \
+  COPYING* README* TODO \
+  $PKG/usr/doc/aspell-$VERSION
+#mv $PKG/usr/share/doc/aspell/*html $PKG/usr/doc/aspell-$VERSION
+rm -rf $PKG/usr/share/doc
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/aspell-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/aspell/aspell.arch
===================================================================
--- npl/overig/aspell/aspell.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/aspell/aspell.build
===================================================================
--- npl/overig/aspell/aspell.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/aspell/aspell.md5
===================================================================
--- npl/overig/aspell/aspell.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,7 @@
+90b940c01a312bb7b40a13ddd9f1403d  ./aspell-0.60.8.tar.lz
+1b6b70078cae2a8ab9d12bc4ac95f3e8  ./aspell_dev.pkg
+04d998a051a16283a31dc8ecbc31de2b  ./aspell.pkg
+d38d402afcdcd54144591439802c82fc  ./aspell.SlackBuild
+5253c488a89dd8c4d0fa6377464ce903  ./aspell.SlackBuild.log.gz
+ef2def1d66174b7260e190230d085b72  ./aspell.SlackBuild.orig
+027d02d3dcf8d2c7a4f4d5c3474dd3aa  ./slack-desc
Index: npl/overig/aspell/aspell.version
===================================================================
--- npl/overig/aspell/aspell.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+0.60.8
Index: npl/overig/aspell/aspell_dev.arch
===================================================================
--- npl/overig/aspell/aspell_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/aspell/aspell_dev.build
===================================================================
--- npl/overig/aspell/aspell_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/aspell/aspell_dev.version
===================================================================
--- npl/overig/aspell/aspell_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/aspell_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+0.60.8
Index: npl/overig/aspell/slack-desc
===================================================================
--- npl/overig/aspell/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/aspell/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+      |-----handy-ruler------------------------------------------------------|
+aspell: aspell (spell checker)
+aspell:
+aspell: GNU Aspell is a spell checker designed to eventually replace Ispell.
+aspell: It can either be used as a library or as an independent spell checker.
+aspell:
+aspell:
+aspell:
+aspell:
+aspell:
+aspell:
+aspell:
Index: npl/overig/libsodium/libsodium.SlackBuild
===================================================================
--- npl/overig/libsodium/libsodium.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/libsodium/
+# Created at Wed 01 Jun 2022 03:57:33 PM CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./libsodium.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/libsodium/libsodium.SlackBuild.orig
===================================================================
--- npl/overig/libsodium/libsodium.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,146 @@
+#!/bin/bash
+
+# Copyright 2017, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libsodium
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --sysconfdir=/etc \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+) || true
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS ChangeLog COPYING* LICENSE* NEWS README* THANKS TODO \
+  $PKG/usr/doc/${PKGNAM}-$VERSION || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 2000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/libsodium/libsodium.arch
===================================================================
--- npl/overig/libsodium/libsodium.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/libsodium/libsodium.build
===================================================================
--- npl/overig/libsodium/libsodium.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/libsodium/libsodium.md5
===================================================================
--- npl/overig/libsodium/libsodium.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,7 @@
+3bebc2885775428aa4b5a1edd8edaaf7  ./libsodium-1.0.18.tar.lz
+90e8bd4ec30881e8670692f76cd85cde  ./libsodium_dev.pkg
+8d570c3a4f59484e662953e958017155  ./libsodium.pkg
+837b1734121853c43173dba85084ce96  ./libsodium.SlackBuild
+764ac154e9a0a429044488f6aea68e5a  ./libsodium.SlackBuild.log.gz
+c984134c66914312d48e9ab60bd7bee7  ./libsodium.SlackBuild.orig
+182f95f7f7b8b353aafd823c81f225a1  ./slack-desc
Index: npl/overig/libsodium/libsodium.version
===================================================================
--- npl/overig/libsodium/libsodium.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/overig/libsodium/libsodium_dev.arch
===================================================================
--- npl/overig/libsodium/libsodium_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/libsodium/libsodium_dev.build
===================================================================
--- npl/overig/libsodium/libsodium_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/libsodium/libsodium_dev.version
===================================================================
--- npl/overig/libsodium/libsodium_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/libsodium_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/overig/libsodium/slack-desc
===================================================================
--- npl/overig/libsodium/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/libsodium/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler------------------------------------------------------|
+libsodium: libsodium (Sodium crypto library)
+libsodium:
+libsodium: Sodium is a library for encryption, decryption, signatures, password
+libsodium: hashing and more. It is a portable, cross-compilable, installable,
+libsodium: packageable fork of NaCl, with a compatible API, and an extended API
+libsodium: to improve usability even further.
+libsodium:
+libsodium: Its goal is to provide all of the core operations needed to build
+libsodium: higher-level cryptographic tools.
+libsodium:
+libsodium: Homepage: https://libsodium.org
Index: npl/overig/oniguruma/oniguruma.SlackBuild
===================================================================
--- npl/overig/oniguruma/oniguruma.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/oniguruma/
+# Created at Wed 01 Jun 2022 03:04:47 PM CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./oniguruma.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/oniguruma/oniguruma.SlackBuild.orig
===================================================================
--- npl/overig/oniguruma/oniguruma.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,134 @@
+#!/bin/bash
+
+# Copyright 2019, 2020  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=oniguruma
+SRCNAM=oniguruma
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$(uname -m)" in
+    i?86) ARCH=i586 ;;
+    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *) ARCH=$(uname -m) ;;
+  esac
+  export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+if [ ! -r configure ]; then
+  NOCONFIGURE=1 ./autogen.sh
+fi
+
+# Configure, build, and install:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --mandir=/usr/man \
+  --enable-posix-api \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS* COPYING* ChangeLog HISTORY* NEWS* README* \
+  doc \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a HISTORY file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat HISTORY | head -n 1000 > $DOCSDIR/HISTORY
+  touch -r HISTORY $DOCSDIR/HISTORY
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/overig/oniguruma/oniguruma.arch
===================================================================
--- npl/overig/oniguruma/oniguruma.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/oniguruma/oniguruma.build
===================================================================
--- npl/overig/oniguruma/oniguruma.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/oniguruma/oniguruma.md5
===================================================================
--- npl/overig/oniguruma/oniguruma.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,7 @@
+e8fc9ca99530676a1ec8a1610e4112d9  ./oniguruma-6.9.8.tar.lz
+9e873cc0db59484f9433f4abc40ad3fc  ./oniguruma_dev.pkg
+81f15f881d7c61c4e7cfd1ffdaea6fe3  ./oniguruma.pkg
+ecf39ef5d468b3962009bff32d9cd5b7  ./oniguruma.SlackBuild
+0ca000667308b3eb81b9573bc4ce2d93  ./oniguruma.SlackBuild.log.gz
+82c9a343f48f853f723e13b363dbe624  ./oniguruma.SlackBuild.orig
+9200752eefa5cf716dc7a18a98b4a220  ./slack-desc
Index: npl/overig/oniguruma/oniguruma.version
===================================================================
--- npl/overig/oniguruma/oniguruma.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+6.9.8
Index: npl/overig/oniguruma/oniguruma_dev.arch
===================================================================
--- npl/overig/oniguruma/oniguruma_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/oniguruma/oniguruma_dev.build
===================================================================
--- npl/overig/oniguruma/oniguruma_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/oniguruma/oniguruma_dev.version
===================================================================
--- npl/overig/oniguruma/oniguruma_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/oniguruma_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+6.9.8
Index: npl/overig/oniguruma/slack-desc
===================================================================
--- npl/overig/oniguruma/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/oniguruma/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler------------------------------------------------------|
+oniguruma: oniguruma (regular expressions library)
+oniguruma:
+oniguruma: Oniguruma is a modern and flexible regular expressions library. It
+oniguruma: encompasses features from different regular expression implementations
+oniguruma: that traditionally exist in different languages.
+oniguruma:
+oniguruma: Character encoding can be specified per regular expression object.
+oniguruma:
+oniguruma: Homepage: https://github.com/kkos/oniguruma
+oniguruma:
+oniguruma:
Index: npl/overig/pcre2/pcre2.SlackBuild
===================================================================
--- npl/overig/pcre2/pcre2.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.SlackBuild	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/l/pcre2/
+# Created at Wed 01 Jun 2022 02:22:25 PM CEST
+#DEP:zlib
+#DEP:bzip2
+#DEP:readline
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./pcre2.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/pcre2/pcre2.SlackBuild.orig
===================================================================
--- npl/overig/pcre2/pcre2.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.SlackBuild.orig	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,139 @@
+#!/bin/bash
+
+# Slackware build script for pcre2
+
+# Copyright 2016-2017  Larry Hajali <larryhaja[at]gmail[dot]com>
+# Copyright 2017, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=pcre2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i586 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PKGNAM-$VERSION \
+  --disable-silent-rules \
+  --enable-static=no \
+  --enable-pcre2-16 \
+  --enable-pcre2-32 \
+  --enable-jit \
+  --enable-pcre2grep-libz \
+  --enable-pcre2grep-libbz2 \
+  --enable-pcre2test-libreadline \
+  --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  AUTHORS COPYING* ChangeLog HACKING INSTALL LICENCE* NEWS* NON-AUTOTOOLS-BUILD README* \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/overig/pcre2/pcre2.arch
===================================================================
--- npl/overig/pcre2/pcre2.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/pcre2/pcre2.build
===================================================================
--- npl/overig/pcre2/pcre2.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/pcre2/pcre2.depver
===================================================================
--- npl/overig/pcre2/pcre2.depver	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.depver	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,3 @@
+zlib	0
+bzip2	1
+readline	1
Index: npl/overig/pcre2/pcre2.md5
===================================================================
--- npl/overig/pcre2/pcre2.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.md5	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,8 @@
+d9e2ff67de400e1f390fa34659132187  ./pcre2-10.40.tar.lz
+e46868788e70af742509d34298c99e5d  ./pcre2_dev.pkg
+4e625976a0a4a62a98af84b18807ee11  ./pcre2.pkg
+6311f08c652b582170950c777c64fb83  ./pcre2.SlackBuild
+3f299804571072acf8528724c7ccc27d  ./pcre2.SlackBuild.log.gz
+753a0394ebc12c57680b2f019d3e65d6  ./pcre2.SlackBuild.orig
+11816a0b9556fb0ef6f47d68efec0688  ./pcre2.url
+1f99eddc9b2b5816487e13ac4dbe6f7f  ./slack-desc
Index: npl/overig/pcre2/pcre2.url
===================================================================
--- npl/overig/pcre2/pcre2.url	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.url	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+https://github.com/PhilipHazel/pcre2/releases
Index: npl/overig/pcre2/pcre2.version
===================================================================
--- npl/overig/pcre2/pcre2.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+10.40
Index: npl/overig/pcre2/pcre2_dev.arch
===================================================================
--- npl/overig/pcre2/pcre2_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2_dev.arch	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/pcre2/pcre2_dev.build
===================================================================
--- npl/overig/pcre2/pcre2_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2_dev.build	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/pcre2/pcre2_dev.version
===================================================================
--- npl/overig/pcre2/pcre2_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/pcre2_dev.version	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,1 @@
+10.40
Index: npl/overig/pcre2/slack-desc
===================================================================
--- npl/overig/pcre2/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
+++ npl/overig/pcre2/slack-desc	(revision e16e8f2a41938d263af54a9fd6b4020d6c0d69fa)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+     |-----handy-ruler------------------------------------------------------|
+pcre2: pcre2 (Perl-compatible regular expression library v2)
+pcre2:
+pcre2: PCRE2 is a re-working of the original PCRE library to provide a
+pcre2: new and improved API.
+pcre2:
+pcre2: Homepage: http://www.pcre.org/
+pcre2:
+pcre2:
+pcre2:
+pcre2:
+pcre2:
